devel/ruby-deprecated - The NetBSD Packages Collection

Aid developers working with deprecated code

This is a small library intended to aid developers working with
deprecated code.  The idea comes from the 'D' programming language,
where developers can mark certain code as deprecated, and then
allow/disallow the ability to execute deprecated code.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby26-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby24-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0i386ruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby24-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby24-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby24-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0powerpcruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 8.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby30-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0aarch64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0alpharuby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby24-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby30-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv6hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby30-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby24-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0earmv7hfruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0i386ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0mips64ebruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0mipselruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0mipselruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0mipselruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0mipselruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby24-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby24-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby24-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0powerpcruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sh3elruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sh3elruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparc64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0sparcruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0vaxruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0vaxruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0vaxruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0vaxruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby25-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby26-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby27-deprecated-2.0.1nb1.tgz
NetBSD 9.0x86_64ruby30-deprecated-2.0.1nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.